dctrl-tools (2.24-2+dilos1) unstable; urgency=low

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Sun, 19 Nov 2017 20:50:08 +0300

dctrl-tools (2.24-2) unstable; urgency=low

  * Remove --force option from po4a calls in GNUmakefile to make package
    reproducible buildable.
  * Add Homepage to control file pointing to upstream github page.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 20 Jan 2016 13:30:19 +0100

dctrl-tools (2.24-1) unstable; urgency=medium

  [ Rhonda D'Vine ]
  * New upstream release, which addresses:
    - Fixed join-dctrl without -o (closes: #679442)
    - Fixed grep-dctrl -I (closes: #775351)
  * Picking up the package, thanks a lot to Antti-Juhani for doing an
    outstanding job on upstream work and also taking care of the package for
    the time being.
  * Switch source format to 3.0 (quilt) given that upstream is separated now.
  * Make Vcs fields in debian/control canonical.
  * Fix filenames in debian/copyright with respect to lib/version*.
  * Add debian/watch file.
  * Removed a trailing whitespace from debian/control.
  * Bump Standards-Version to 3.9.6.

  [ Colin Watson ]
  * Pass CC=$(DEB_HOST_GNU_TYPE)-gcc when cross-building (closes: #734887)

 -- Rhonda D'Vine <rhonda@debian.org>  Sat, 09 May 2015 11:38:52 +0200

dctrl-tools (2.23) unstable; urgency=low

  [ David Prévot ]

  * Fix charset in pt_BR program translation.

  [ Antti-Juhani Kaijanaho ]

  * Merge 2.22.1 and 2.22.2.
  * Add a test case (tests/0021.{in,out,sh}) to verify that tbl-dctrl
    handles UTF-8 correctly.
     - As it requires the C.UTF-8 locale, build-depend on libc-bin >= 2.13
  * Since mblen is unnecessarily marked warn_unused_result with
    _FORTIFY_SOURCE, (see bug #674917), causing spurious warnings upon
    mblen initialization calls, switch to using mbrlen in tbl-dctrl.c (a
    good idea in any case).
  * Add -Wextra to non-package builds (and clean up the resulting warnings).
  * lib/msg.c (msg_primitive): Write the period before the newline, not after!
  * tests/0022.{out,err,fails}: New test case, for grep-dctrl
    --ignore-parse-errors
  * tester.sh: Handle missing diffs gracefully.
  * lib/fsaf.c and others: Remove mmap support (recognize but ignore --mmap).
    It was only complicating matters without giving much benefit.
  * lib/fsaf.[ch]: Make fsaf_read an inline function (50 % speedup in my
    tests.)
  * debian/control (Build-Depends): Remove versioned gcc
    Thanks to Jakub Wilk for pointing out the version spec was broken.
    It also turns out to be obsolete.
  * Some code cleanup.
  * debian/control: Add "Multi-Arch: foreign"
    Closes: 693474 (Add multiarch metadata)
    Reported by Wookey <wookey@wookware.org>.
  * po/fi.po: Fix charset issue discovered by Jakub Wilk
    and reported by David Prévot, and delete obsolete entries.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 07 May 2013 23:16:00 +0300

dctrl-tools (2.22.2) unstable; urgency=low

  * Closes: #674836 (Builds with wrong CFLAGS), reported by me:
     - Upgrade debhelper mode to 9.
     - Work around debhelper bug 674912 by defining the default CFLAGS
       using ?= in GNUmakefile.
     - As pointed out by Jonathan Nieder in private mail, -Werror is not
       a good idea in package builds (it may cause unnecessary FTBFS
       breakage in the future as the toolchain and libraries change).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 07 Jun 2012 11:48:25 +0300

dctrl-tools (2.22.1) unstable; urgency=low

  [ Program translations ]
  * Swedish, by Martin Bagge (closes: #673870)
  * Portuguese (new), by Pedro Ribeiro (closes: #674637)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 27 May 2012 20:53:25 +0300

dctrl-tools (2.22) unstable; urgency=low

  * Team upload.

  [ Antti-Juhani Kaijanaho ]
  * debian/copyright: Upgraded to copyright-format/1.0, and updated.
  * grep-dctrl: Allow distributing atom modifiers over a parenthesed predicate.
    Closes: #319760 (allow -F modifiers to apply to an entire expression)
    Reported by Enrico Zini <enrico@debian.org>
  
  [ Program translations ]
  * Indonesian (new), by Andika Triwidada.
  * Vietnamese, by Nguyen Vu Hung.

  [ Documentation translations ]
  * German, by Chris Leick (closes: #671597).
  * French, by David Prévot.

 -- David Prévot <taffit@debian.org>  Sun, 13 May 2012 16:29:22 -0400

dctrl-tools (2.21.1) unstable; urgency=low

  * grep-dctrl: Remove the old dead annoying banner code.
  * grep-dctrl: Hardcode default input file names.
      - The /etc/grep-dctrl.rc conffile is removed upon package upgrade.
      - grep-dctrl.1.cp: Updated to match.
  * grep-dctrl.1.cp: Fix indentation.
  * Update Standards-Version to 3.9.3 with no other changes needed.

  [ Program translations ]
  * Danish, by Joe Hansen (closes: #654519, #664157).
  * German, by Gerfried Fuchs.
  * Japanese, by Noritada Kobayashi.
  * Russian, by Yuri Kozlov (closes: #663608).
  * English – United Kingdom removed.
  * French, by David Prévot.
  * Catalan, by Jordi Mallach.
  * Spanish, by Javier Fernández-Sanguino (closes: #664963).
  * Czech, by Miroslav Kure (closes: #665365).
  * Finnish, by Antti-Juhani Kaijanaho.

  [ Documentation translations ]
  * French, by David Prévot.
  * German, by Chris Leick (closes: #664783).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 31 Mar 2012 21:10:48 +0300

dctrl-tools (2.20.1) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * Handle multiple instances of the same field gracefully.  No string changes.
    Closes: #652034 (reported by myself)

  [ David Prévot ]
  * Man pages order in SEE ALSO, thanks to Chris Leick (closes: #651219).
  * Consistently avoid use of CS vocabulary.
  * Keep previous msgids of translated messages.
  * Handle two missing translatable strings.
  * Use of Policy compliant relations.
  * Runtime strings review by Justin B Rye.

  [ Program translations ]
  * Catalan, by Jordi Mallach (closes: #652083).
  * English – United Kingdom, by Jeff Bailes.
  * French, by David Prévot.
  * German, by Gerfried Fuchs.
  * Spanish, by Javier Fernández-Sanguino (closes: #651409).
  * Russian, by Yuri Kozlov (closes: #651444).
  * Finnish, by Antti-Juhani Kaijanaho.

  [ Documentation translations ]
  * French, by David Prévot.
  * German, by Chris Leick (closes: #651218, #651706).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 18 Dec 2011 19:30:36 +0200

dctrl-tools (2.20) unstable; urgency=low

  * Improve the testsuite.
  * tester.sh: Do not output .differr if it wasn't constructed.
  * grep-dctrl: Make a more modest fix for #525525 in adding an --ensure-dctrl
    option that makes sure that the output (in the absence of the -n switch)
    is in dctrl format.
    - Later on we may want to make --ensure-dctrl the default.  In anticipation,
      a --compat option has been added that countermands any --ensure-dctrl.
  * grep-dctrl: With -c, output even a zero count and exit successfully.
    Closes: #641255 (grep-dctrl -c does not print out 0 when it should)
    [ Reported by Antti-Juhani Kaijanaho <ajk@debian.org> ]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 27 Nov 2011 21:23:53 +0200

dctrl-tools (2.19) unstable; urgency=low

  [ David Prévot ]
  * Stylish fix to grep-dctrl(1) manpage (closes: #325169)
  * Makes manpages translatable (using po4a), closes: #615877
  * Fix example in manpage (closes: #589827)
  * Update French runtime translation (closes: #628013)
  * Initial French manpages translation
  
  [ Antti-Juhani Kaijanaho ]
  * Merge 2.18ubuntu1
  * debian/control [Standards-Version]: Updated to 3.6.2 (no changes needed).
  * grep-dctrl/grep-dctrl.c: Output a stanza separator unconditionally.
    Closes: #525525 (do not separate stanzas with empty lines when showing
                     Description field only)
    [Reported by Stefano Zacchiroli <zack@debian.org>]
  * lib/paragraph.[ch], grep-dctrl/grep-dctrl.c: Use the actual spelling of
    field names in output, instead of the command line spelling.
    Closes: #209134 (keyword case shouldn't be influenced by -s)
    Reported by Dan Jacobson <jidanni@jidanni.org>.
  * grep-dctrl/grep-dctrl.c: Clean up some dead code.
  * grep-dctrl: Rewrite predicate code to use a tree instead of a bytecode.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 20 Oct 2011 09:56:38 +0300

dctrl-tools (2.18ubuntu1) oneiric; urgency=low

  * lib/msg.h, grep-dctrl/rc.c, join-dctrl/join-dctrl.c: Pass the arguments to
    message() in the right order (fixes FTBFS; lp: #774391, Closes: #624707)

 -- Michael Bienia <geser@ubuntu.com>  Mon, 02 May 2011 08:25:34 +0100

dctrl-tools (2.18) unstable; urgency=low

  * debian/rules: Override prefix and sysconfdir even for building
    Closes: #607359 (doesn't read /etc/grep-dctrl.rc)
    Reported by Jakub Wilk <jwilk@debian.org>
    Closes: #611596 (experimental's version of grep-dctrl doesn't grep anything)
    Reported by Rogério Brito <rbrito@ime.usp.br>
  * Upload to unstable.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 06 Feb 2011 11:18:33 +0200

dctrl-tools (2.17) experimental; urgency=low

  * Merge 2.14.3, 2.14.4, and 2.14.5.
  * Removed Jon Bernard <jbernard@debian.org> from uploaders
    (no uploads in two years; seems to have left the team mailing list)
  * Moved detailed installation from debian/rules to GNUmakefile
  * Moved debian/README to ./README
  * changed from my own build system to Debhelper v8 (dh).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 04 Dec 2010 20:41:30 +0200

dctrl-tools (2.16) experimental; urgency=low

  * Merge 2.14.2
  * tbl-dctrl: Figure out the fields from the input if no '-c' is given.
    Closes: #596424 reported by myself

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 11 Sep 2010 22:45:04 +0300

dctrl-tools (2.15) experimental; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * tbl-dctrl: Fix field line length detection for multi-line fields
    - Reported by Gerfried Fuchs <rhonda@debian.at> out of band.
  * tbl-dctrl (linewrap): Force a line break where the field has one.
  * Update FSF address in license blurbs all over the source tree.
  * debian/copyright: Update copyright years
  * Merge 2.14.1
  * lib/paragraph.c (para_parse_next): Fix line counting.
  * convert to source package format 3.0 (native)
  
  [ Cyril Brulebois ]
  * Add Build-Depends/Build-Depends-Indep search example (closes: #339380)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Aug 2010 20:52:28 +0300

dctrl-tools (2.14.5) unstable; urgency=low

  * po/es.po: Updated by Javier Fernández-Sanguino Peña (closes: #599858)
  * po/ca.po: Updated by Jordi Mallach (closes: #601122)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 24 Oct 2010 20:57:11 +0300

dctrl-tools (2.14.4) unstable; urgency=low

  * po/vi.po: Updated by Clytie Siddall (closes: #598494)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 09 Oct 2010 10:31:59 +0300

dctrl-tools (2.14.3) unstable; urgency=low

  * po/sv.po: Updated by Martin Bagge (closes: #597013)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 26 Sep 2010 14:42:53 +0300

dctrl-tools (2.14.2) unstable; urgency=low

  * po/pt_BR.po: Updated by Maurício Vieira.
  * po/en_GB.po: Updated by Jeff Bailes.
  * po/ca.po: Updated by Agusti Grau.
  * po/cs.po: Updated by Miroslav Kure (closes: #595513).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 10 Sep 2010 19:38:32 +0300

dctrl-tools (2.14.1) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * grep-dctrl: Make a help string more comprehensible
  * po/fi.po: Updated translation.
  * Further Russian translation update from Yuri Kozlov (closes: #593240)
  * French translation updated by David Prévot (closes: #593990)
  * Standards-Version updated to 3.9.1 with no packaging changes.
  
  [ Gerfried Fuchs ]
  * Russian translation updated by Yuri Kozlov (closes: #513026)
  * German translation updated by myself.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 23 Aug 2010 21:08:39 +0300

dctrl-tools (2.14) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * Merge  2.13.1.
  * Update standards-version to 3.8.3.  No related changes.
  * grep-dctrl/rc.c, lib/msg.c: Recode to UTF-8
  * lib/msg.c: Remove (obsolete) snail mail and email addresses for me.
  * */*.[ch]: Use the copyright symbol instead of (c) or (C).
  * msg.[ch] (and others): allow the message functions to handle format strings
  * tbl-dctrl.c [linewrap]: Clarify.
  * tbl-dctrl.c [linewrap]: Do not include the breakpoint in the next line.
    Closes: #508953 (when greping through source packages, 
                     tbl-control can't list Files
    Reported by Gerfried Fuchs <rhonda@debian.at>.
  * tests/bug506138.{sh,out}: New test case.
  * grep-dctrl.c [apptok]: Forbid mixing the predicate and input files.
    It never worked, anyway.
    Closes: #506138 (Segfault when calling with wrong order of parameters)
    Reported by Marco Túlio Gontijo e Silva <marcot@holoscopio.com>.
  * join-dctrl/join-dctrl.c: Avoid a compiler warning by initializing
    a local variable.
  * lib/paragraph.c, grep-dctrl/grep-dctrl.c, sort-dctrl/sort-dctrl.c,
    tests/bug511022.{sh.in,out}:
    The whole paragraph no longer includes the final newline.
    Closes: #511022 (the full paragraph should not include its final newline)
    Reported by: Loïc Minier <lool@dooz.org>
  * GNUmakefile, debian/rules: clean backup files and .d files in subdirs too
    Closes: #511081 (.d files do not belong in the source package)
    Reported by: Adeodato Simó
  * sort-dctrl/sort-dctrl: Fix -k parsing bug (don't just repeat the first
    key...)
    Closes: #559543 (doesn't take into account secondary sorting criteria)
    Reported by: Ryan Niebur <ryan@debian.org>
  * lib/paragraph.c (para_parse_next): parse comment lines that start with
    unindented '#'-characters (they are not removed semantically, though)
    Closes: #521006 (support #-comments)
  
  [ Stefano Zacchiroli ]
  * grep-dctrl: add new matching mode --whole-pkg/-w: it is an improved -e
    matching exact package names, i.e., no sub-string matching on package
    names. Closes: #383921

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 05 Dec 2009 13:22:03 +0200

dctrl-tools (2.13.1) unstable; urgency=low

  [ Gerfried Fuchs ]  
  * Czech translation update received from Miroslav Kure, thanks.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 06 Jan 2009 16:19:48 +0200

dctrl-tools (2.13.0) unstable; urgency=low

  [ Jon Bernard ]
  * grep-dctrl/grep-dctrl.c: don't display a field with an empty value,
    closes: #264907
  * tests/0006.out: remove "Version: ", no output is expected with the above
    change.

  [ Antti-Juhani Kaijanaho ]
  * debian/control: suggest debtags, note grep-debtags in description
    closes: #488292 (add debtags to Suggests)
    Reported by jidanni@jidanni.org.
  * lib/paragraph (para_parse_next): Performance improvements.
  * debian/control: Rename XS-Vcs-{Git,Browser} fields to Vcs-{Git,Browser};
    also use the Git protocol instead of HTTP
  * sync-available/sync-available.cp: Use id -u, not $EUID, which is a bashism
    closes: #457788 (error in sync-available when /bin/sh links to /bin/dash)
    Reported by arno renevier <arenevier@fdn.fr>
  * debian/control: Make team maintenance official.
  * debian/README: Remove my veto from procedures.
  * po/fi.po: Update
  * man/{join,tbl}-dctrl.1: Fix man syntax errors.
  * debian/control [Standards-Version]: Now 3.8.0.
  * debian/rules [clean-build]: Do not ignore make clean errors.
  
  [ Gerfried Fuchs ]  
  * german po file update

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 04 Jul 2008 19:12:08 +0300

dctrl-tools (2.12) unstable; urgency=low

  * Switched to git for source control.
  * make sort-dctrl read stdin if no file arguments are given
    Closes: #440348 (sort-dctrl outputs nothing if input is a pipe)
    Reported by Antti-Juhani Kaijanaho <ajk@debian.org>.
  * French translation update, closes: #442330
  * Provide a grep-debtags alias that sources debtags dumpavail.
    Closes: #423375
    (Add a grep-tags or grep-debtags that gets data from debtags dumpavail)
    Reported by Enrico Zini <enrico@debian.org>
  * po/README.Translators: Rosetta is not an option
  * po/README.Translators: misc fixes

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 28 Oct 2007 00:17:47 +0300

dctrl-tools (2.11) unstable; urgency=low

  * new program join-dctrl
    Closes: #136097 (grep-dctrl: Merging status and available would be helpful)
    Requested by Ben Armstrong <synrg@sanctuary.nslug.ns.ca>.
  * Update copyright lines
  * debian/rules: typo fix
  * Compatibility: remove (out of date, duplicates manpage information)
  * NEWS: delete (out of date)
  * README: delete (out of date and useless)
  * AUTHORS: delete (out of date and hard to keep up to date)
  * debian/README: update
  * debian/changelog: start 2.11
  * grep-dctrl/grep-dctrl.c: fix GET_BACKUP_FIELD for (size_t)-1
    on machines where sizeof(int) != sizeof(size_t)
  * export para_compare from lib/sorter.[ch]
  * GNUmakefile (test): call tester.sh using sh explicitly

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 05 Aug 2007 21:06:22 +0300

dctrl-tools (2.10) experimental; urgency=low

  * debian/changelog: merge in 2.9.3
  * delete  ./grep-dctrl-2.6.4-2.6.5.diff
  * create lib/, man/ and $(program)/
  * GNUmakefile: miscellaneous fixes
  * GNUmakefile. ifile.c: start using -Werror, fix one warning
  * tests/0005: another simple test
  * grep-dctrl: new option --invert-show (-I)
    Closes: #144174 (please provide a --filter-fields option of some sort)
    Reported by Yann Dirson <dirson@debian.org>
    Merged with #264905 (show all fields except FIELD,FIELD,...)
    Reported by Dan Jacobson <jidanni@jidanni.org>
  * tests/0003.{sh,out}: another basic test
  * tests/0002.{sh,out}: new basic test
  * paragraph.c (para_parse_next): fix outdated assertion
  * GNUmakefile (clean): fix reference to grep-dctrl.1
  * man/sort-dctrl.1: make literal (previously generated)
  * GNUmakefile: sysconf is now sysconfdir, fix a reference
    Closes: #414979 (typo in manpage: reference to global config file is wrong)
    Reported by Tomas Pospisek <tpo_deb@sourcepole.ch>
  * Makefile: rename as GNUmakefile
  * Makefile (clean): fix reference to sync-available
  * tests/bug360139.{sh,out}: new test case
  * begin a new test suite
    - Makefile: new target 'test'
    - tester.sh: new file
    - tests: new directory
    - tests/0001.*: new files - a simple basic test case
    - debian/rules: run the test suite (ignoring any failures) at build time
  * drop the transitional grep-dctrl package
  * tbl-dctrl: new option '-H'
    Closes: #326660 (Please add option to tbl-dctrl to not print any title)
    Reported by Frank Lichtenheld <djpig@debian.org>.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  8 Apr 2007 19:06:18 +0300

dctrl-tools (2.9.3) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * debian/control: Add XS-Vcs-Darcs field
  * Translation updates from Rosetta (etch branch)
      - Catalan update by Jordi Mallach
      - Brazilian Portuguese update by Mauricio Bomfim Cruz Vieira
      - Swedish update by Daniel Nylander
  * New Czech translation
    Closes: #396994 (Czech translation of dctrl-tools)
    Submitted by Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * New Spanish translation
    Closes: #396807 (New spanish translation)
    Submitted by Javier Fernández-Sanguino Peña <jfs@computer.org>
  * New Russian translation
    Closes: #396584 ([INTL:ru] Russian program translation)
    Submitted by Yuri Kozlov <kozlov.y@gmail.com>.
  * po/vi.po: New Vietnamese translation by Clytie Siddall
    Closes: #396308 ([INTL:vi] Vietnamese program translation)
    Reported by Clytie Siddall.
  
  [ Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp> ]
  * Add Japanese translation.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  6 Nov 2006 11:49:16 +0200

dctrl-tools (2.9.2) unstable; urgency=low

  * po/fi.po: updated
  * Translation update from Rosetta (Ubuntu Edgy branch)
    - en_GB: new translation by Jeff Bailes
    - pt_BR: merged in work by Washington Lins
    - sv: merged in work by Daniel Nylander
    Merge techique (msgcat --use-first) suggested by Jordi Mallach.
  * delete  ./grep-dctrl-2.6.4-2.6.5.diff

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Oct 2006 21:42:20 +0300

dctrl-tools (2.9.1) unstable; urgency=low

  [ Gerfried Fuchs ]  
  * bring german po file up2date again
  
  [ Antti-Juhani Kaijanaho ]
  * Makefile: don't include dependencies if cleaning
  * grep-dctrl.1.cp: -P is not a modifier
  * debian/control: grep-dctrl dependency on dctrl-tools need not be versioned
    Thanks to Mark Hymers for pointing this out.
  * debian/control: Correct typo in dctrl-tools description
    Closes: #363230 (Spelling mistake in package description)
    Reported by Simon Waters <simon@technocool.net>.
  * grep-dctrl.1.cp: correct an escaping error
    Closes: #377216 (grep-dctrl: manpage needs more escapting)
    Reported by Justin Pryzby <justinpryzby@users.sourceforge.net>.
  * po/fr.po: Updated by Frédéric Bothamy <frederic.bothamy@free.fr>
    Closes: #361921 (French program translation update)
    Reported by Frédéric Bothamy <frederic.bothamy@free.fr>
  * paragraph.c (para_parse_next): Fix off-by-one errors in line numbers
    Closes: #365795 (grep-dctrl miscounts lines in error messages)
    Reported by Greg Ward <gward-debian@python.net>.
  * Translation update from Rosetta:
    - new partial Polish translation by Simek
    - new partial Swedish translation by Daniel Nylander
    - Catalan update by Jordi Mallach
    - ignored French update by Nicolas Vein, preferring bug#361921
  * debian/rules: run dpkg-shlibdeps on tbl-dctrl too
  * debian/control (Standards-Version): 3.7.2, no changes required
  
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 13 Oct 2006 21:44:15 +0300

dctrl-tools (2.9.0) unstable; urgency=low

  * grep-dctrl.c: Add switch -S as a shorthand for -FSource:Package
    Closes: #278815 (Please provide -S = source)
    Reported by Andreas Barth <aba@not.so.argh.org>
  * Add the ability to specify "backup fields" in grep-dctrl
    Closes: #355960 (please provide option to take values for missing fields
    from other fields)
    Reported by Adeodato Simó <dato@net.com.org.es>.
  * Makefile: Split all target into all and all-no-mo
  * tbl-dctrl.1: fix typo
    Closes: #359165 ('man tbl-dctrl' typo: "fnction")
    Reported by: A Costa <agcosta@gis.net>
  * grep-dctrl.c: Add copyright years 2005, 2006
  * grep-dctrl.1.cp: Clarify SYNOPSIS
  * grep-dctrl.{c,1.cp}: Add the option '--pattern'
    Closes: #359318 (Unable to specify a pattern that begins with '-')
    Reported by James Vega <jamessan@debian.org>
  * {grep,tbl,sort}-dctrl.c: convert OPT_* defines to an anonymous enum
  * para_bundle.c (bundle_slurp): don't kill the fsaf
    Closes: #360139 (sort-dctrl and tbl-dctrl junk the first line)
    Reported by Gerfried Fuchs <alfie@debian.org>
  * po/README.Translators: note Rosetta
  * debian/postinst.grep-dctrl: remove the XSI-ism of -a in test.
  * Add UNRELEASED 2.8.2 to changelog
  * po/de.po: Update by Gerfried Fuchs <alfie@debian.org>.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  3 Apr 2006 00:38:56 +0300

dctrl-tools (2.8.1) unstable; urgency=low

  * Move to unstable.
  * tbl-dctrl.c, sort-dctrl: Remove the useless (and broken) options
    -q and --silent
    Closes: #326662 (tbl-dctrl --help output lies about options)
    Reported by Frank Lichtenheld <djpig@debian.org>.
  * Closes: #348540 (grep-dctrl: stores whole input in memory)
    Reported by Christoph Berg <myon@debian.org>.
    - fsaf.c: Prefer reusing the current buffer instead of enlarging it,
      when not using mmap(2).
    - fsaf.h,fsaf.c: Fix invalidation for non-mmap buffers.
  * fsaf.h,fsaf.c: Make it possible to turn off mmapping.
  * fsaf.h,fsaf.c: Preallocate a 64KB buffer when not mmapping.
  * grep-dctrl.c,sort-dctrl.c,tbl-dctrl.c:
    Make mmap optional (defaults to no mmapping; new option --mmap).
  * debian/{rules,postinst.grep-dctrl}: Remove an empty
    /usr/share/doc/grep-dctrl directory at configure
    Closes: #353533 (Empty /usr/share/doc/grep-dctrl directory)
    Reported by: Martin Orr <martin@martinorr.name>.
  * grep.dctrl.c,sort-dctrl.c: Use arg, not optarg in parse_opt.
    Closes: #344087 (grep-dctrl: segfaults with -l options)
    Reported (with patch) by: Vincent Fourmond <vincent.fourmond@9online.fr>.
  * paragraph.[ch]: Track line numbers and improve error messages.
    Closes: #354471 (grep-dctrl should include file and line info in errors)
    Reported by Greg Ward <gward-debian@python.net>.
  * grep-dctrl.1.cp: Some manual page simplifications following Manoj's
    suggestions (probably still needs work, though)
    See #325169 (grep-dctrl: Man page improvements)
    Reported by Manoj Srivastava <srivasta@golden-gryphon.com>.
  * paragraph.[ch]: Make it possible to ignore paragraph parse errors.
      + para_bundle.c, tbl-dctrl.c, grep-dctrl.c: related fixes
  * grep-dctrl.c,grep-dctrl.1.cp: New option --ignore-parse-errors
    Closes: #205044 (grep-dctrl parser is stricter than before)
    Reported by Blars Blarson <blarson@blars.org>.
  * po/ca.po: Update by Jordi Mallach <jordi@debian.org>, closes: #349507.
  * fsaf.c (fsaf_read): Return early if returning null. (Fixes assertion
    failures in cases where the field being searched is not present.)
  * Makefile: Don't clean pot file when cleaning.
  * Makefile: Add distclean and maintainer-clean targets.
  * Translation update from Rosetta (2006-03-25):
     - Catalan by Jordi Mallach
     - Finnish by myself
     - Brazilian Portuguese by Mauricio Bomfim Cruz Vieira.
  * debian/control [Standards-Version]: Upgrade to 3.6.2, no additional
    changes required.
  * debian/copyright: Update.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 25 Mar 2006 11:34:07 +0200

dctrl-tools (2.8) experimental; urgency=low

  * Merge 2.6.7 (no po/ merge).
  * New program tbl-dctrl.
    Closes: #191144 (Would be great if it could print desired field values
                     all in one line, per package)
    [Reported by Carlos Sousa]
  * tbl-dctrl.1: New manpage.
  * Give FSAF objects knowledge of the file name, so that we know which
    file each paragraph came from.
  * para_bundle.c (bundle_slurp): The correct error sentinel for file
    descriptors is -1, not 0.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 21 Jul 2005 21:32:42 +0300

dctrl-tools (2.7) experimental; urgency=low

  * Merge 2.6.0.
  * Merge 2.6.1.
  * Merge 2.6.2.
  * Merge 2.6.3.
  * Merge 2.6.4.
  * Merge 2.6.5.
  * Merge 2.6.6.
  * Rename source and binary package to dctrl-tools.
  * debian/{rules,control}: Generate an empty transition package for
    grep-dctrl.
  * Makefile, debian/rules, sort-dctrl.c: New program sort-dctrl.
  * Makefile: Rearrange build system so that most objects are
    put in a static library, which the binaries are linked against.
  * Refactor a lot to allow several programs share the backbone code.
  * New program sort-dctrl.
  * New manual page sort-dctrl(1).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  9 Jun 2005 00:40:13 +0300

grep-dctrl (2.6.7) unstable; urgency=low

  * fr.po: Update by Nicolas Bertolissio.
    Closes: #314893 (French translation update of gettext debconf template)
    (Nothing to do with debconf regardless of the bug title)
  * msg.h: Fix progname type.
    Closes: #314601 (FTBFS (amd64/gcc-4.0): conflicting types for 'progname')
    [Reported by Andreas Jochens]
  * grep-dctrl.1.cp: Fix "preceding" typo.
    Closes: #311032 *'man grep-dctrl' typo: "predecing")
    [Reported by A Costa]
  * sync-available.8: Miscellaneous fixes.
    Closes: #312630 (sync-available(8) thinks it is update-avail(8))
    [Reported by Antti-Juhani Kaijanaho]
    Closes: #312766 ('man sync-available' typo: "aquisition")
    [Reported by A Costa]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 11 Jul 2005 18:26:46 +0300

grep-dctrl (2.6.6) unstable; urgency=low

  * Go to unstable again.
  * Merge 2.1.10 and 2.1.11 (no po/ merge).
  * po/fi.po: Sync translation with 2.1.11.
  * Change numeric comparison to version number comparison.
    Noteworthy individual changes:
      + debian/control: Drop libgmp3-dev build-dependency.
      + Makefile: No longer link with libgmp.
      + grep-dctrl.1.cp: Document, remove earlier warnings.
      + grep-dctrl.c: Document, remove earlier warnings (etc.)
      + predicate.c: Replace numeric comparison with version
        comparison.  Copy the actual comparison code from dpkg.
      + paragraph.[ch]: No longer do a numeric parse.
      + debian/copyright: Document dpkg copyright.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  8 Jun 2005 19:25:10 +0300

grep-dctrl (2.6.5) experimental; urgency=low

  * po/pt_BR.po: New translation by Mauricio Vieira.
  * Merged 2.1.7, 2.1.8 and 2.1.9 (no po/ merge).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Mar 2005 06:04:19 +0200

grep-dctrl (2.6.4) experimental; urgency=low

  * debian/control (Build-Depends): gcc (>= 3.0)
  * debian/README: New file.
  * debian/rules: Install debian/README as README.Debian.
  * grep-dctrl.1.cp: Warn about coming semantics change for
    numeric comparisons.  
  * grep-dctrl.c: Add warning about coming semantics change for
    numeric comparisons. 

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 17 Jul 2004 04:44:40 +0300

grep-dctrl (2.6.3) experimental; urgency=low

  * sync-available.cp, Makefile: Fix the goofup which made sync-available
    not be generated from sync-available.cp.
  * grep-dctrl.c, misc.[ch], Makefile: Backport from CVS HEAD the
    following change:
      * misc.c (to_stdout), misc.h, grep-dctrl.c (to_stdout):
        Move to_stdout to a library object.
      * misc.c (to_stdout): Use a pager if stdout is a tty.
  * debian/NEWS: Uploads >= 2.2 were to experimental.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 2004 17:50:14 +0300

grep-dctrl (2.6.2) experimental; urgency=low

  * sync-available: -ge 1, not -gt 1, when comparing the number of
    arguments.  Thanks to Pasi Savolainen.
  * Belated thanks to Juhapekka Tolvanen for inspiring the sync-available
    script.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 2004 04:24:49 +0300

grep-dctrl (2.6.1) experimental; urgency=low

  * sync-available.cp, Makefile, debian/rules: New program.
  * sync-available.8, debian/rules: New manual page.
  * debian/NEWS: Note new program sync-available.
  * debian/control (Suggests): No longer suggest dselect.
  * debian/control (Desrciption): Rephrase grep-available and note
    sync-available.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 11 Jul 2004 20:12:13 +0300

grep-dctrl (2.6.0) experimental; urgency=low

  * Creating a 2.6 maintenance branch - patchlevel added to version number.
  * po/fi.po: Updated.
  * po/it.po: New translation by Danilo Piazzalunga.
    Closes: #258388 (Italian translation for HEAD)
  * Merge 2.1.6 (no po/*.po merge).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 10 Jul 2004 00:32:23 +0300

grep-dctrl (2.5) experimental; urgency=low

  * Merge 2.1.4.
  * Merge 2.1.5.
    - lose its fix for #236196
    - no po/*.po merge
  * rc.c (parse, find_ifile_by_exename): Apply Danilo Piazzalunga's patch
    to fix #236196.
  * Makefile, debian/control (Build-Depends): Link against libgmp3.
  * paragraph.[ch], predicate.[ch]: Use libgmp to implement
    unlimited-precision integers for numeric comparisons.
  * po/de.po: Updated by Gerfried Fuchs.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  5 Jul 2004 14:43:45 +0300

grep-dctrl (2.4) experimental; urgency=low

  * Update Catalan translation (Jordi Mallach).
  * Merge 2.1.1.
  * Merge 2.1.2.
  * debian/control (Description): Minor edit.
  * Merge 2.1.3.
  * rc.c (parse): Check for null s before, not after it is first
    dereferenced.  Thanks to Danilo Piazzalunga.
    Closes: #235785 (segfaults when using an unknown exe name or an empty
    config file)
  * French translation by Nicolas Bertolissio, proofread by
    Michel Grentzinger, Claude Thomassin and Denis Barbier

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  4 Mar 2004 20:03:33 +0200

grep-dctrl (2.3) experimental; urgency=low

  * Add numeric comparison capability
    Closes: #157042 (could allow numeric comparison on fields)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 18 Jan 2004 00:46:59 +0200

grep-dctrl (2.2) experimental; urgency=low

  * This version starts adding features and thus belongs in experimental.
  * rc.h, rc.c, grep-dctrl.c, grep-dctrl.1.cp:
    Add @exec syntax to rc files, and support reading stdout of given commands
  * debian/rules, grep-dctrl.rc: Add grep-aptavail
    Closes: #207440 (grep-available for apt?)
  * debian/control [Suggests]: Add dselect and apt
  * debian/control [Description]: Mention the specializations.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 16 Jan 2004 03:08:58 +0200

grep-dctrl (2.1.11) unstable; urgency=medium

  * po/fi.po: Fix encoding mistakes.
    Closes: #310988 (bad char in Finnish translation)
    [Reported by Lars Wirzenius <liw@iki.fi>]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 27 May 2005 19:22:50 +0300

grep-dctrl (2.1.10) unstable; urgency=medium

  * grep-dctrl.1.cp: Reinsert COMPATIBILITY section, which seems to have
    been removed accidentally just prior to 2.0.  Thanks to Ian Lynagh for
    spotting this.
  
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  8 Apr 2005 16:42:15 +0300

grep-dctrl (2.1.9) unstable; urgency=low

  * grep-dctrl.c: Allow atoms to share code, and use that
    to build the common code when atoms are cloned.
    Closes: #299597 (different search results based on order of field names)
                     [Reported by Michael Koch]
    (The older fix was only partial in that if more than two were
     cloned, only the first two clones were honored.)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Mar 2005 01:09:01 +0200

grep-dctrl (2.1.8) unstable; urgency=low

  * po/pt_BR.po: New translation by Mauricio Vieira.
  * grep-dctrl.c (enter_atom, clone_atom): Add sizeof to mallocs.
    Closes: #285439 (Fail with combined predicates)
                    [Reported by Pierre THIERRY]
  * Fix -Fxxx,yyy handling:
    - grep-dctrl.c (clone_atom): The *old* atom must receive the 
                                 compound predicate code.
    - grep-dctrl.c (parse_prim): Actually *use* the atom's code
                                 instead of just I_PUSH.
    Closes: #285738 (grep-dctrl doesn't search all the -F fields somehow)
                    [Reported by Gerfried Fuchs]
  * msg.h (msg_get_progname): Fix progname type inconsistency.
    Closes: #286912 (FTBFS (amd64/gcc-4.0): conflicting types for 'progname')
                    [Reported by Andreas Jochens]
  * grep-dctrl: Add a .args_doc field to argp, fixing the usage summary.
    Closes: #287746 (usage message incorrect) [Reported by Branden Robinson]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 31 Dec 2004 05:28:00 +0200

grep-dctrl (2.1.7) unstable; urgency=low

  * Apply patch by Andreas Metzler.  Closes: #265858 (Unescaped dashes in
    manpage break searching or cut-and-paste with UTF-8 locale)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 16 Aug 2004 19:52:03 +0300 

grep-dctrl (2.1.6) unstable; urgency=low

  * Translation update release.
  * grep-dctrl.c (main): Shorten the new #236196 warning
    (the old was problematic for translators).
  * msg.c: Update author snail-mail address.
  * po/fi.po: Updated.
  * po/de.po: Updated by Gerfried Fuchs.
  * po/ca.po: Updated by Jordi Mallach.
  * po/fr.po: Updated by Nicolas Bertolissio.
  * langs.mk, po/it.po: New translation by Danilo Piazzalunga.
    Closes: #258389 (Italian translation for r_2_1_maint branch)
  * grep-dctrl.1.cp: Change license to GPL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  9 Jul 2004 19:30:59 +0300

grep-dctrl (2.1.5) unstable; urgency=low

  * msg.[ch]: Rearranging.
  * msg.h (msg_get_progname): New function.
  * grep-dctrl.c: Rewrite the parser so that argp only
    produces a list of tokens for a new recursive-descent
    predicate parser.
    Closes: #227543 (Predicate parser is fragile) [Reported by AJK]
  * French translation by Nicolas Bertolissio, proofread by
    Michel Grentzinger, Claude Thomassin and Denis Barbier
  * po/fi.po: Updated.
  * getaline.c (getaline): Ensure that there is a null terminator in an
    empty return value.
  * grep-dctrl.c (main): Warn about the use of standard input when the
    command name was not found.
    Closes: #236196 (please tell the user when falling back to reading stdin)
    [Reported by Danilo Piazzalunga]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  4 Jul 2004 15:12:04 +0300

grep-dctrl (2.1.4) unstable; urgency=low

  * predicate.c (verify_atom): Check that the stack contains exactly
    one element (the result) after simulated execution.
    Closes: #241766 (segfault) [Reported by Joey Hess]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 19 Jun 2004 16:49:24 +0300

grep-dctrl (2.1.3) unstable; urgency=low

  * rc.c (find_ifile_by_exename): Fix EOF handling.
  * grep-dctrl.c (main): If no default file is found, use "-".
  * strutil.c (chomp): New function.
  * These fix a bug that is fuctionally equivalent to 
    bug#235785 (segfaults when using an unknown exe name or an empty config file)
    but is caused by legacy code not present in experimental, and thus this does
    not close it.
  * grep-dctrl.c (finish_atom): Run predicate_finish_atom even if there
    are no search fields.
    Closes: #234657 ("-e" causes matches to fail)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  3 Mar 2004 21:21:56 +0200

grep-dctrl (2.1.2) unstable; urgency=low

  * debian/control (Build-Depends): Add version constraint >= 0.11-0 for
    gettext, due to the use of --copyright-holder, with thanks to Michael
    Schultheiss.
    Closes: #230399 (Needs to Build-Depend on versioned gettext)
  * Backport from experimental:
    - debian/control (Suggests): Add dselect
    - debian/control [Description]: Mention the specializations.
  * po/fi.po: Updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 11 Feb 2004 17:40:13 +0200

grep-dctrl (2.1.1) unstable; urgency=low

  * New German translation by Gerfried Fuchs.
  * grep-dctrl.c: Fix help message inconsistent punctuation and other
    minor message errors
    Closes: #229821 (some minor nitpicks with the po files)
  * Makefile (clean): Remove also *.pot
  * predicate.[ch], grep-dctrl.c: Check for malformed predicates.
    This is a kluge, but gets rid of certain assertion failures.
  * Update Catalan translation by Jordi Mallach.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 10 Feb 2004 20:41:32 +0200

grep-dctrl (2.1.0) unstable; urgency=low

  * Creating a 2.1 maintenance branch - patchlevel added to version number.
  * grep-dctrl.c (main): Use C99 %zi and not %i to print out size_t
    (size mismatch on 64-bit archs).
    Closes: #226569 (printf format problem in grep-dctrl.c)
  * grep-dctrl.c (struct arguments, enter_atom, parse_opt),
    grep-dctrl.1.cp (DIAGNOSTICS): Treat ')' on command line as a "soft"
    '--'; ie. if ')' is followed by a connective, continue predicate,
    otherwise finish it.
    Closes: #226477 (Misparses a file name following a closing paren as a
    pattern)
  * Catalan translation updated by Jordi Mallach.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 13 Jan 2004 20:14:43 +0200

grep-dctrl (2.0) unstable; urgency=low

  * The Polish Release.
  * Internationalized again,  thanks to Jordi Mallach for help
  * Now includes Catalan messages, courtesy of Jordi Mallach
  * Also includes Finnish messages (my own translation, with thanks to
    Tommi Vainikainen)
  * debian/NEWS: Moved old 1.10x-entries to debian/NEWS.superseded
  * debian/NEWS: Document everything since 1.9
  * debian/rules: ./NEWS is no longer installed, debian/NEWS is better
  * grep-dctrl.c (finish_atom): Zero args->num_search_fields.  This fixes
    a particularly nasty unreported bug, where the right-hand side of an
    --and was essentially ignored.
  * The above changes, along with the changes in 1.103 and 1.104,
    closes: #208646 (Unsuitable for testing)
  * debian/control [Build-Depends]: Add gettext
  * TODO: Updated.
  * grep-dctrl.1.cp: Updated messages in DIAGNOSTICS.
  * grep-dctrl.1.cp: Mention ara(1) in SEE ALSO.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  7 Jan 2004 03:09:44 +0200

grep-dctrl (1.104) unstable; urgency=low

  * grep-dctrl.c (parse_option [case 's']): free carg after use
  * grep-dctrl.c (parse_option): Replace remaining FIXME-tagged asserts
    with proper error checking
  * Bring back support for multiple -F options in one atom and multiple
    field names in one -F option:
    - grep-dctrl.c (struct arguments, leave, prim_enter): Allow an
      instruction sequence in the parser stack.
    - grep-dctrl.c (clone_atom): New function.
    - grep-dctrl.c (finish_atom, parse_option [case 'F']):
      Handle multiple field names.
    - grep-dctrl.1.cp: Remove note of the regression.
    - debian/NEWS: Note this change.
    This gets rid of one of the documented regressions.
  * grep-dctrl.c (options): Make --banner existence contingent on the
    BANNER #define.
  * grep-dctrl.c, predicate.h, predicate.c, grep-dctrl.1.cp: Add a new
    instruction, I_TRUE, and use it to implement --true.
  * grep-dctrl.c (to_stdout, parse_option [case 'C']): Implement -C.
    Closes: #207995 (grep-dctrl: -C: (PROGRAM ERROR) Option should have
    been recognized!?)
  * debian/control (Standards-Version): 3.6.1, no changes required.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat,  3 Jan 2004 20:54:36 +0200

grep-dctrl (1.103) unstable; urgency=low

  * grep_dctrl.c (banner, main, parse_option): Disable the banner.
  * predicate.c (predicate_finish_atom): Don't bail out if the field name
    is missing; instead, just don't add the missing field name to the
    trie.  Thanks to Jeff King for diagnosis and patch.
    Closes: #205998 (regex/eregex support produces no results)
  * grep-dctrl.c (main): Track whether any matches were found and choose
    exit status based on that.
    Closes: #216549 (Return 0 for success, 1 for failure, like grep does)
  * grep-dctrl.1.cp: Add grep-available and grep-status to NAME section
    and mention them in the SYNOPSIS.
    Closes: #199762 (mention grep-available in synopsys)
  * grep-dctrl.1.cp: Add dpkg available and status files to FILES section.
    Closes: #204781 (Add available and status file to FILES section on the
    man page)
  * Use the grep return value 2 for errors:
    - msg.h (fail, errors_reported, record_error): New function.
    - msg.h (line_message), msg.c (errors): Record any use of L_IMPORTANT 
      or above
    - Change exit(EXIT_FAILURE) to fail() everywhere.
    - Add record_error invocations where appropriate.
    Closes: #225806 (Return 2 for error, like grep does)
  * grep-dctrl.c (main): Check the file type and fail if necessary.
    Thanks to Tuomas Jormola.
    Closes: #212939 (Segfaults if there are directories in the input file list)
    Closes: #222461 (segfaults if given .* as the predicator)
  * grep-dctrl.c (parse_option): Replace the multiple -F/-P assert with a
    helpful error message.  
    Closes: #215182 (some man page examples fail)
  * grep-dctrl.1.cp (SEE ALSO): dpkg(1) -> dpkg(8), thanks to Frank
    Lichtenheld.
    Closes: #213297 (there is no dpkg(1) manpage, it's dpkg(8))
  * debian/copyright: Added 2004 to copyright years and recoded to UTF-8.
  * grep.dctrl.1.cp: Document the new -q | --quiet | --silent option
    and the exit value semantics.
  * debian/NEWS.Debian: New file.
  * Get rid of the build-time dependency to publib-dev by incorporating
    the required functions in grep-dctrl.  This is by request from Lars
    Wirzenius, who wants to get rid of publib-dev.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  1 Jan 2004 23:19:54 +0200

grep-dctrl (1.102) unstable; urgency=low

  * paragraph.c (para_parse_next) [case BODY_NEWLINE]: Do not declare eof
    on reading -1.
    Closes: #205933 (Silently ignores the last stanza if no trailing newline)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 25 Aug 2003 18:46:04 +0300

grep-dctrl (1.101) unstable; urgency=low

  * fieldtrie.h (fieldtrie_count): New function.
  * paragraph.c (para_parse_next): Clear the fields too.
    Closes: #205373, #205376, #205295.
  * grep-dctrl.c (main): If no predicate is given, bail out.
    Closes: #205511.
  * grep-dctrl.c (dump_args): Use C99 %zi and not %i to print out size_t
    (size mismatch on 64-bit archs).
  * rc.c: #include "util.h"

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 15 Aug 2003 21:37:30 +0300

grep-dctrl (1.100) unstable; urgency=low

  * A (nearly) full rewrite (bumped minor version number to match)
  * Includes an annoying one-time-per-user banner asking for testing (will
    be removed in the future).
  * debian/control [Standards-Version]: Upgrade to 3.6.0.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 10 Aug 2003 18:33:05 +0300

grep-dctrl (1.12) unstable; urgency=low

  * matcher.c (find_field): Simplify code (this seems
    to be a bit faster, too).
  * This version was never uploaded.
  
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 22 Apr 2003 19:33:09 +0300

grep-dctrl (1.11) unstable; urgency=low

  * The four-year near-anniversary overhaul.
  * debian/copyright: Add copyright years.
  * debian/copyright: Fix my snailmail address.
  * debian/{prerm,postinst}: Remove (they handled only the FHS transition).
  * debian/rules: Rewrote using my modernish rules helper.  Closes: #164652.
  * grep-dctrl.c: Don't use perror to report errors; instead use fprintf
    and strerror so that the file name is reported.  Closes: #162072.
  * grep-dctrl.1.cp: Fix manpage syntax error, thanks to Bill Allombert.
    Closes: #160521.
  * grep-dctrl.c, matcher.h, matcher.c, buffer.h, buffer.c:
    Implement -d switch, suggested by Chris Waters.  Closes: #106175.
  * po/fi.po: Updated
  * matcher.c: Don't display a blank field when fields are selected, as
    suggested by Horms.  Closes: #167365.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 16 Feb 2003 18:48:11 +0200

grep-dctrl (1.10) unstable; urgency=low

  * grep-dctrl.c, grep-dctrl.1.cp: Make -c synonymous with --count.
  * grep-dctrl.1.cp: Add Bill Allombert's example.  Closes: #145301.
  * debian/control [Standards-Version]: Upgrade to 3.5.6
      + debian/rules: Implement debug & nostrip

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 25 Jul 2002 21:44:28 +0300

grep-dctrl (1.9) unstable; urgency=low

  * intl/Makefile.in: We don't have a ../config.h.  Closes: #106001

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 30 Jul 2001 20:09:18 +0300

grep-dctrl (1.8) unstable; urgency=low

  * Fix manpage, closes: #102021

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 19 Jul 2001 19:40:55 +0300

grep-dctrl (1.7) unstable; urgency=low

  * Added copyright blurb to some source files that missed it.
  * grep-dctrl.c, matcher.[ch]: Implement multiple -F options,
    allows search in several fields at once.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 20 May 2000 18:32:00 +0300

grep-dctrl (1.6) unstable; urgency=low

  * Disable the -c switch to allow its meaning to be changed
    in woody+1.
  * grep-dctrl.1.cp: Added COMPATIBILITY section, based on
    the file Compatibility.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 10 May 2000 15:29:02 +0300

grep-dctrl (1.5) unstable; urgency=low

  * Incorporate bugfix release 1.3a into the development branch.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  5 Mar 2000 14:23:07 +0200

grep-dctrl (1.4) unstable; urgency=low

  * debian/control [Standards-Version]: 3.1.1
     + debian/control [Build-Depends]: Added
  * debian/control [Description]: Improved.
  * debian/check-sourcedeps: Removed.
  * debian/rules [debian/build-depends.stamp]: Removed.
  * buffer.c, buffer.h: Make buffer_clear() an inline function.
  * grep-dctrl.c (main), matcher.h (struct matcher_t),
    matcher.c (grep_control): Implement the --count option
    suggested by Dirk Eddelbuettel.
  * configure.in, msg.h: Added a --enable-debug-level switch
  * matcher.c (slurp_paragraph): Rewrote for speed.
  * Versions 1.3 and 1.4 together closes: #57144.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  6 Feb 2000 21:42:30 +0200

grep-dctrl (1.3a) frozen; urgency=low

  * matcher.c (find_field): Unroll the first iteration of the first loop
    and then remove the special-case p==s if in the loop body. 
    Closes: bug#59455.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  5 Mar 2000 14:21:41 +0200

grep-dctrl (1.3) frozen; urgency=low

  * grep-dctrl.c (main): Add a colon after c in getopt's
    argument, fixing the segfault in bug#57144.  This fix is meant
    for frozen and is minimal; I will upload a more complicated fix
    (but more correct in the long run) separately to unstable, since
    the better fix requires feature changes.
  * grep-dctrl.c (print_usage, main), grep-dctrl.1.cp, po/fi.po:
    Deprecated short option "-c" to allow its meaning to be changed later
    in woody.  Functionality is not changed in this version; only
    messages about the deprecation have been added. This must go to
    potato to allow a smooth transition to the better fix for bug#57144.
  * debian/copyright: Updated copyright years (added 2000).
  * debian/NEWS: documented this release's changes

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  6 Feb 2000 14:50:06 +0200

grep-dctrl (1.2) unstable; urgency=low

  * grep-dctrl.c (main), matcher.h (struct matcher_t), matcher.c
    (grep_control): Implement the -v option suggested by David Coe.
    Closes: #45115.
  * debian/rules: Modernize.
      + Factor install into a variable.
      + Don't use install_gzip.
      + Use stamp files.
      + Split clean into {build,binary}-clean
      + Use a separate target for the configure call.
      + Don't test for rootness.
      + Remove $(rootdir) at start of binary targets.
  * grep-dctrl.1.cp: Documented the -v option.
  * debian/{prerm,postinst,rules}: Implement the /usr/doc transition method.
  * po/fi.po: Updated.
  * Compatibility: New file.
  * debian/rules: Install Compatibility.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 15 Sep 1999 20:06:20 +0300

grep-dctrl (1.1) unstable; urgency=low

  * matcher.c (grep_control): Only return on feof if the para is empty.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  2 Aug 1999 21:42:53 +0300

grep-dctrl (1.0) unstable; urgency=low

  * New major version.  No major changes, just polishing - we have
    been converging to 1.0 for some time now.
  * grep-dctrl.c (main): Don't allow -s to be used many times,
    as it does not work in the obvious way.
  * Updated the Finnish translation.
  * grep-dctrl.1.cp: Updated the DIAGNOSTICS section.
  * Added files TODO, NEWS and README to the source distribution.
    Only README is not relevant to Debian users, so not installing it.
  * configure.in: Check whether we have dpkg-parsechangelog, and
    use a default dummy version number if we don't.  This allows
    the package to build more easily on a non-Debian system.
  * Unsymlink things that had symlinks outside the source.
  * Added getopt source for the benefit of broken systems.
  * configure.in: Use /usr/share/common-licenses/GPL as a default for
    the copying file location.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 10 Jul 1999 20:58:46 +0300

grep-dctrl (0.16) unstable; urgency=low

  * Upgraded Standards-Version to 3.0.0.0, with necessary
    changes to debian/rules and debian/copyright.
  * configure.in: Added an anchor to the grep in the version number,
    finder, and reran autoconf

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  2 Jul 1999 10:42:24 +0300

grep-dctrl (0.15) unstable; urgency=low

  * Removed the file called "1" from the source package.
    Closes: bug#40358.
  * debian/dpkg-sourcedeps: New file.
  * debian/rules: Converted the source dependency check to use
    debian/dpkg-sourcedeps
  * grep-dctrl.1.cp: Wrote an EXAMPLES section.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 28 Jun 1999 18:02:36 +0300

grep-dctrl (0.14) unstable; urgency=low

  * matcher.c (grep_control): Test for EOF before a paragraph
    is processed, not after.  This fixes an unreported bug
    that caused grep-dctrl -sPackage '' output a spurious
    empty Package: line.
  * debian/rules: Added a simple source dependency check.
  * debian/rules: Use -isp with dpkg-gencontrol.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Jun 1999 03:21:20 +0300

grep-dctrl (0.13) unstable; urgency=low

  * buffer.c (buffer_trim): I had ">=" in the loop
    condition, should be "<".  Corrected that; this
    fixes bug #38047.
  * Added debug_messages and asserts all over buffer.c
    while hunting bug #38047.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 20 May 1999 21:47:31 +0300

grep-dctrl (0.12) unstable; urgency=low

  * Removed old-Makefile.in from the tarball.
  * Updated Finnish translation.
  * Made field name matching ignore case.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 18 May 1999 08:53:42 +0300

grep-dctrl (0.11) unstable; urgency=low

  * Added shorthand option -P.
  * Fixed a typo in config file name in the manual page.
  * grep_dctrl (set_match_field): New function.
  * Fixed some -Wall warnings in matcher.c.
  * rc.c, line 107: Had forgotten the `++' in front of lineno.
    Corrected that.
  * Added the option -n for suppressing the field names on output.
  * Added a some informational messages to rcfile parsing.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  9 Apr 1999 20:24:30 +0300

grep-dctrl (0.10) unstable; urgency=low

  * Got rid of version.h.  The defines are now done on the
    compiler command line.  This will avoid the harmful rebuild of
    grep-dctrl.o in Makefile's install target. Fixes bug#35527.
  * Added the generated manual page to CLEANFILES, so that the
    manpage gets rebuilt.
  * Clean off backup files on debian/rules clean.
  * rc.c: Search user's rcfile first.
  * rc.c: Upgrade the "reading config file" message from debug message 
    to informational.
  * Updated the Finnish translation.
  * Prettified the long description in debian/control.
  * matcher.c: Downgraded several messages to the debug level `debug' so that
    the level `informational' becomes much less verbose.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  5 Apr 1999 23:35:39 +0300

grep-dctrl (0.9) unstable; urgency=low

  * Introduced a config file system for specifying default
    input file names based on the base name of argv[0].

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 24 Mar 1999 22:02:49 +0200

grep-dctrl (0.8) unstable; urgency=low

  * Rewrote build system to use autoconf & automake.
  * Internationalized.  Finnish translation is included.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 19 Mar 1999 11:07:15 +0200

grep-dctrl (0.7) unstable; urgency=low

  * Added an option for exact matches.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue,  9 Mar 1999 02:58:30 +0200

grep-dctrl (0.6) unstable; urgency=low

  * Strip whitespace at the start of a field body before searching in it.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  8 Mar 1999 22:28:23 +0200

grep-dctrl (0.5) unstable; urgency=low

  * First released version.
  * This time the uploaded changes and .dsc are signed :-(

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  1 Mar 1999 22:10:01 +0200

